/*
 * input-defines.h - complements <linux/input.h> adding missing bits
 *
 * Copyright (C) 2003        Dmitry Torokhov <dtor@mail.ru>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 ********/
#ifndef __GPM_INPUT_DEFINES_H
#define __GPM_INPUT_DEFINES_H

#include <linux/input.h>
#include "headers/config.h"

#ifndef ABS_TOOL_WIDTH  
#define ABS_TOOL_WIDTH        0x1c
#endif

#ifndef BTN_TOOL_FINGER  
#define BTN_TOOL_FINGER       0x145
#endif

#ifndef BTN_TOUCH  
#define BTN_TOUCH             0x14a
#endif

#ifndef BTN_TOOL_DOUBLETAP  
#define BTN_TOOL_DOUBLETAP    0x14d
#endif

#ifndef BTN_TOOL_TRIPLETAP  
#define BTN_TOOL_TRIPLETAP    0x14e
#endif

#ifndef MSC_GESTURE
#define MSC_GESTURE           2
#endif

#ifndef EV_SYNC     
#define EV_SYNC               0
#endif

#ifndef SYN_REPORT 
#define SYN_REPORT            0
#endif

#ifndef PSMOUSE_SYNAPTICS
#define PSMOUSE_SYNAPTICS     7
#endif

#ifndef HAVE_INPUT_ID
struct input_id {
   unsigned short bustype;
   unsigned short vendor;
   unsigned short product;
   unsigned short version;
};
#endif

#ifndef HAVE_INPUT_ABSINFO
struct input_absinfo {
   int value;
   int minimum;
   int maximum;
   int fuzz;
   int flat;
};
#endif

#endif
